// Code generated by MockGen. DO NOT EDIT.
// Source: ./usecases.go

// Package mock is a generated GoMock package.
package mock

import (
	debtrequestprocess "debtrequestprocess"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	healthcheck "gitlab.com/commonground/blauwe-knop/health-checker/healthchecker"
)

// MockSchemeRepository is a mock of SchemeRepository interface.
type MockSchemeRepository struct {
	ctrl     *gomock.Controller
	recorder *MockSchemeRepositoryMockRecorder
}

// MockSchemeRepositoryMockRecorder is the mock recorder for MockSchemeRepository.
type MockSchemeRepositoryMockRecorder struct {
	mock *MockSchemeRepository
}

// NewMockSchemeRepository creates a new mock instance.
func NewMockSchemeRepository(ctrl *gomock.Controller) *MockSchemeRepository {
	mock := &MockSchemeRepository{ctrl: ctrl}
	mock.recorder = &MockSchemeRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockSchemeRepository) EXPECT() *MockSchemeRepositoryMockRecorder {
	return m.recorder
}

// GetHealthCheck mocks base method.
func (m *MockSchemeRepository) GetHealthCheck() healthcheck.Result {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHealthCheck")
	ret0, _ := ret[0].(healthcheck.Result)
	return ret0
}

// GetHealthCheck indicates an expected call of GetHealthCheck.
func (mr *MockSchemeRepositoryMockRecorder) GetHealthCheck() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHealthCheck", reflect.TypeOf((*MockSchemeRepository)(nil).GetHealthCheck))
}

// GetOrganizationByOIN mocks base method.
func (m *MockSchemeRepository) GetOrganizationByOIN(OIN string) (*debtrequestprocess.Organization, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetOrganizationByOIN", OIN)
	ret0, _ := ret[0].(*debtrequestprocess.Organization)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetOrganizationByOIN indicates an expected call of GetOrganizationByOIN.
func (mr *MockSchemeRepositoryMockRecorder) GetOrganizationByOIN(OIN interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetOrganizationByOIN", reflect.TypeOf((*MockSchemeRepository)(nil).GetOrganizationByOIN), OIN)
}

// MockDebtRequestRepository is a mock of DebtRequestRepository interface.
type MockDebtRequestRepository struct {
	ctrl     *gomock.Controller
	recorder *MockDebtRequestRepositoryMockRecorder
}

// MockDebtRequestRepositoryMockRecorder is the mock recorder for MockDebtRequestRepository.
type MockDebtRequestRepositoryMockRecorder struct {
	mock *MockDebtRequestRepository
}

// NewMockDebtRequestRepository creates a new mock instance.
func NewMockDebtRequestRepository(ctrl *gomock.Controller) *MockDebtRequestRepository {
	mock := &MockDebtRequestRepository{ctrl: ctrl}
	mock.recorder = &MockDebtRequestRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockDebtRequestRepository) EXPECT() *MockDebtRequestRepositoryMockRecorder {
	return m.recorder
}

// Create mocks base method.
func (m *MockDebtRequestRepository) Create(request debtrequestprocess.DebtRequest) (*debtrequestprocess.DebtRequest, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Create", request)
	ret0, _ := ret[0].(*debtrequestprocess.DebtRequest)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Create indicates an expected call of Create.
func (mr *MockDebtRequestRepositoryMockRecorder) Create(request interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Create", reflect.TypeOf((*MockDebtRequestRepository)(nil).Create), request)
}

// Get mocks base method.
func (m *MockDebtRequestRepository) Get(id string) (*debtrequestprocess.DebtRequest, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Get", id)
	ret0, _ := ret[0].(*debtrequestprocess.DebtRequest)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Get indicates an expected call of Get.
func (mr *MockDebtRequestRepositoryMockRecorder) Get(id interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Get", reflect.TypeOf((*MockDebtRequestRepository)(nil).Get), id)
}

// GetHealthCheck mocks base method.
func (m *MockDebtRequestRepository) GetHealthCheck() healthcheck.Result {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHealthCheck")
	ret0, _ := ret[0].(healthcheck.Result)
	return ret0
}

// GetHealthCheck indicates an expected call of GetHealthCheck.
func (mr *MockDebtRequestRepositoryMockRecorder) GetHealthCheck() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHealthCheck", reflect.TypeOf((*MockDebtRequestRepository)(nil).GetHealthCheck))
}

// Update mocks base method.
func (m *MockDebtRequestRepository) Update(id string, request debtrequestprocess.DebtRequest) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Update", id, request)
	ret0, _ := ret[0].(error)
	return ret0
}

// Update indicates an expected call of Update.
func (mr *MockDebtRequestRepositoryMockRecorder) Update(id, request interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Update", reflect.TypeOf((*MockDebtRequestRepository)(nil).Update), id, request)
}

// MockRequestExchangeTokenRepository is a mock of RequestExchangeTokenRepository interface.
type MockRequestExchangeTokenRepository struct {
	ctrl     *gomock.Controller
	recorder *MockRequestExchangeTokenRepositoryMockRecorder
}

// MockRequestExchangeTokenRepositoryMockRecorder is the mock recorder for MockRequestExchangeTokenRepository.
type MockRequestExchangeTokenRepositoryMockRecorder struct {
	mock *MockRequestExchangeTokenRepository
}

// NewMockRequestExchangeTokenRepository creates a new mock instance.
func NewMockRequestExchangeTokenRepository(ctrl *gomock.Controller) *MockRequestExchangeTokenRepository {
	mock := &MockRequestExchangeTokenRepository{ctrl: ctrl}
	mock.recorder = &MockRequestExchangeTokenRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockRequestExchangeTokenRepository) EXPECT() *MockRequestExchangeTokenRepositoryMockRecorder {
	return m.recorder
}

// AddRequestExchangeToken mocks base method.
func (m *MockRequestExchangeTokenRepository) AddRequestExchangeToken(requestId, requestExchangeToken string) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "AddRequestExchangeToken", requestId, requestExchangeToken)
	ret0, _ := ret[0].(error)
	return ret0
}

// AddRequestExchangeToken indicates an expected call of AddRequestExchangeToken.
func (mr *MockRequestExchangeTokenRepositoryMockRecorder) AddRequestExchangeToken(requestId, requestExchangeToken interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "AddRequestExchangeToken", reflect.TypeOf((*MockRequestExchangeTokenRepository)(nil).AddRequestExchangeToken), requestId, requestExchangeToken)
}

// DeleteRequestExchangeToken mocks base method.
func (m *MockRequestExchangeTokenRepository) DeleteRequestExchangeToken(requestExchangeToken string) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DeleteRequestExchangeToken", requestExchangeToken)
	ret0, _ := ret[0].(error)
	return ret0
}

// DeleteRequestExchangeToken indicates an expected call of DeleteRequestExchangeToken.
func (mr *MockRequestExchangeTokenRepositoryMockRecorder) DeleteRequestExchangeToken(requestExchangeToken interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DeleteRequestExchangeToken", reflect.TypeOf((*MockRequestExchangeTokenRepository)(nil).DeleteRequestExchangeToken), requestExchangeToken)
}

// GetHealthCheck mocks base method.
func (m *MockRequestExchangeTokenRepository) GetHealthCheck() healthcheck.Result {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHealthCheck")
	ret0, _ := ret[0].(healthcheck.Result)
	return ret0
}

// GetHealthCheck indicates an expected call of GetHealthCheck.
func (mr *MockRequestExchangeTokenRepositoryMockRecorder) GetHealthCheck() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHealthCheck", reflect.TypeOf((*MockRequestExchangeTokenRepository)(nil).GetHealthCheck))
}

// GetRequestIdForRequestExchangeToken mocks base method.
func (m *MockRequestExchangeTokenRepository) GetRequestIdForRequestExchangeToken(requestExchangeToken string) (string, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetRequestIdForRequestExchangeToken", requestExchangeToken)
	ret0, _ := ret[0].(string)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetRequestIdForRequestExchangeToken indicates an expected call of GetRequestIdForRequestExchangeToken.
func (mr *MockRequestExchangeTokenRepositoryMockRecorder) GetRequestIdForRequestExchangeToken(requestExchangeToken interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetRequestIdForRequestExchangeToken", reflect.TypeOf((*MockRequestExchangeTokenRepository)(nil).GetRequestIdForRequestExchangeToken), requestExchangeToken)
}

// MockLoginService is a mock of LoginService interface.
type MockLoginService struct {
	ctrl     *gomock.Controller
	recorder *MockLoginServiceMockRecorder
}

// MockLoginServiceMockRecorder is the mock recorder for MockLoginService.
type MockLoginServiceMockRecorder struct {
	mock *MockLoginService
}

// NewMockLoginService creates a new mock instance.
func NewMockLoginService(ctrl *gomock.Controller) *MockLoginService {
	mock := &MockLoginService{ctrl: ctrl}
	mock.recorder = &MockLoginServiceMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockLoginService) EXPECT() *MockLoginServiceMockRecorder {
	return m.recorder
}

// GetHealthCheck mocks base method.
func (m *MockLoginService) GetHealthCheck() healthcheck.Result {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHealthCheck")
	ret0, _ := ret[0].(healthcheck.Result)
	return ret0
}

// GetHealthCheck indicates an expected call of GetHealthCheck.
func (mr *MockLoginServiceMockRecorder) GetHealthCheck() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHealthCheck", reflect.TypeOf((*MockLoginService)(nil).GetHealthCheck))
}

// MockTokenGenerator is a mock of TokenGenerator interface.
type MockTokenGenerator struct {
	ctrl     *gomock.Controller
	recorder *MockTokenGeneratorMockRecorder
}

// MockTokenGeneratorMockRecorder is the mock recorder for MockTokenGenerator.
type MockTokenGeneratorMockRecorder struct {
	mock *MockTokenGenerator
}

// NewMockTokenGenerator creates a new mock instance.
func NewMockTokenGenerator(ctrl *gomock.Controller) *MockTokenGenerator {
	mock := &MockTokenGenerator{ctrl: ctrl}
	mock.recorder = &MockTokenGeneratorMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockTokenGenerator) EXPECT() *MockTokenGeneratorMockRecorder {
	return m.recorder
}

// GenerateRequestExchangeToken mocks base method.
func (m *MockTokenGenerator) GenerateRequestExchangeToken() string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GenerateRequestExchangeToken")
	ret0, _ := ret[0].(string)
	return ret0
}

// GenerateRequestExchangeToken indicates an expected call of GenerateRequestExchangeToken.
func (mr *MockTokenGeneratorMockRecorder) GenerateRequestExchangeToken() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GenerateRequestExchangeToken", reflect.TypeOf((*MockTokenGenerator)(nil).GenerateRequestExchangeToken))
}
